Subway charm doesn't deploy

Bug #1166989 reported by Andreas Hasenack on 2013-04-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
subway (Juju Charms Collection)
Undecided
Unassigned

Bug Description

Log attached. Basically:
2013-04-09 20:12:36,460: unit.hook.api@INFO: Installing npm
2013-04-09 20:12:36,476: hook.output@INFO: Reading package lists...
2013-04-09 20:12:36,481: hook.output@INFO:

2013-04-09 20:12:36,484: hook.output@INFO: Building dependency tree...
2013-04-09 20:12:36,615: hook.output@INFO:
Reading state information...
2013-04-09 20:12:36,615: hook.output@INFO:

2013-04-09 20:12:36,694: hook.output@INFO: Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:

2013-04-09 20:12:36,694: hook.output@INFO: npm : Depends: nodejs but it is not going to be installed
       Depends: nodejs-dev
       Depends: node-request but it is not going to be installed
       Depends: node-mkdirp but it is not going to be installed
       Depends: node-minimatch but it is not going to be installed
       Depends: node-semver but it is not going to be installed
       Depends: node-ini but it is not going to be installed
       Depends: node-graceful-fs but it is not going to be installed
       Depends: node-abbrev but it is not going to be installed
       Depends: node-nopt but it is not going to be installed

2013-04-09 20:12:36,695: hook.output@INFO: Depends: node-fstream but it is not going to be installed
       Depends: node-rimraf but it is not going to be installed
       Depends: node-tar but it is not going to be installed
       Depends: node-which but it is not going to be installed

2013-04-09 20:12:36,705: hook.output@INFO: E: Unable to correct problems, you have held broken packages.

Related branches

Andreas Hasenack (ahasenack) wrote :
Andreas Hasenack (ahasenack) wrote :

If it matters, I have "default-series: precise", but I'm running quantal, and this was on lxc. I'll retry on ec2.

summary: - Subway charm doesn't deploy on precise
+ Subway charm doesn't deploy
Benjamin Kerensa (bkerensa) wrote :

Very weird that this all of a sudden broke... I think the issue is some dependencies might have changed but also I have a merge request thats been pending with a new nodejs hook which might resolve this.

Andreas Hasenack (ahasenack) wrote :

Doesn't work even on ec2.

Andreas Hasenack (ahasenack) wrote :

 nodejs-dev : Depends: nodejs (= 0.8.22-1chl1~precise1) but it is not going to be installed

root@ip-10-4-59-43:~# apt-cache policy nodejs nodejs-dev
nodejs:
  Installed: 0.10.3-1chl1~precise1
  Candidate: 0.10.3-1chl1~precise1
  Version table:
 *** 0.10.3-1chl1~precise1 0
        500 http://ppa.launchpad.net/chris-lea/node.js/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status
     0.6.12~dfsg1-1ubuntu1 0
        500 http://us-east-1.ec2.archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages
nodejs-dev:
  Installed: (none)
  Candidate: 0.8.22-1chl1~precise1
  Version table:
     0.8.22-1chl1~precise1 0
        500 http://ppa.launchpad.net/chris-lea/node.js/ubuntu/ precise/main amd64 Packages
     0.6.12~dfsg1-1ubuntu1 0
        500 http://us-east-1.ec2.archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages

Benjamin Kerensa (bkerensa) wrote :

Yeah so this will have to be fixed after freeze since nodejs is outdated and needs to be brought up to date #1103044.

Excerpts from Benjamin Kerensa's message of 2013-04-09 21:43:41 UTC:
> Yeah so this will have to be fixed after freeze since nodejs is outdated
> and needs to be brought up to date #1103044.
>

Isn't this why we have PPA's?

Benjamin Kerensa (bkerensa) wrote :

Yeah it originally used PPA but when sabdfl presented in his keynote they
had requested it pull from universe instead :/

Andreas Hasenack (ahasenack) wrote :

Is precise under freeze?

tags: added: landscape
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers